Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security.impl
Class BeIDCredential

    java.lang.Object
      be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
          be.ehealth.technicalconnector.service.sts.security.impl.BeIDCredential

All Implemented Interfaces:
  Credential, ExtendedCredential, SessionServiceWithCache

    public final class BeIDCredential

extends AbstractExtendedCredential
implements SessionServiceWithCache

The Class BeIDCredential. Implementation of `AbstractExtendedCredential` and `SessionServiceWithCache`

Field Summary
`static String` | `EID_AUTH_ALIAS` Using the authentication certifate on the eid;
`static String` | `EID_SIGN_ALIAS` Using the non-repudiation certifcate on the eid;
`static String` | `OID_GIVENNAME` Deprecated. replaced by `BCStyle`.GIVENNAME.getId()
`static String` | `OID_LASTNAME` Deprecated. replaced by `BCStyle`.SURNAME.getId()
`static String` | `OID_SERIALNUMBER` Deprecated. replaced by `BCStyle`.SN.getId()
`static String` | `PROP_USE_CACHE` Property to activate or desactivate caching of the BeIDCredential.

Method Summary
`void` | `flushCache()` Method to flush the cache after invoking this method.
`X509Certificate` | `getCertificate()` Gets the certificate.
`Certificate[]` | `getCertificateChain()` Gets the certificate chain
`static BeIDCredential` | `getInstance(String scope, String aliasName)` Gets the single instance of BeIDCredential.
`String` | `getIssuer()` Gets the issuer.
`String` | `getIssuerQualifier()` Gets the issuer qualifier.
`KeyStore` | `getKeyStore()`
`PrivateKey` | `getPrivateKey()` Gets the private key.
`String` | `getProviderName()` Gets the keystore provider
`PublicKey` | `getPublicKey()` Gets the public key.

Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
`getCertPath, getExpirationDateTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_USE_CACHE

    public static final String PROP_USE_CACHE

  Property to activate or desactivate caching of the BeIDCredential. Default:: false

  See Also:
    Constant Field Values

### OID_LASTNAME

    @Deprecated
    public static final String OID_LASTNAME

  Deprecated. replaced by `BCStyle`.SURNAME.getId()
  The OID last name

### OID_GIVENNAME

    @Deprecated
    public static final String OID_GIVENNAME

  Deprecated. replaced by `BCStyle`.GIVENNAME.getId()
  The OID given name

### OID_SERIALNUMBER

    @Deprecated
    public static final String OID_SERIALNUMBER

  Deprecated. replaced by `BCStyle`.SN.getId()
  The OID serial number

### EID_AUTH_ALIAS

    public static final String EID_AUTH_ALIAS

  Using the authentication certifate on the eid;

  See Also:
    Constant Field Values

### EID_SIGN_ALIAS

    public static final String EID_SIGN_ALIAS

  Using the non-repudiation certifcate on the eid;

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static BeIDCredential getInstance(String scope,
                                             String aliasName)
                                      throws TechnicalConnectorException

  Gets the single instance of BeIDCredential.

  Parameters:
    `scope` -
    `aliasName` -
  Returns:
    single instance of BeIDCredential
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### getPrivateKey

    public PrivateKey getPrivateKey()

  Gets the private key.

  Specified by:
    `getPrivateKey` in interface `Credential`
  Returns:
    the private key the private key

### getPublicKey

    public PublicKey getPublicKey()

  Gets the public key.

  Specified by:
    `getPublicKey` in interface `Credential`
  Returns:
    the public key the public key

### getCertificate

    public X509Certificate getCertificate()

  Gets the certificate.

  Specified by:
    `getCertificate` in interface `Credential`
  Returns:
    the certificate the certificate

### getIssuer

    public String getIssuer()

  Gets the issuer.

  Specified by:
    `getIssuer` in interface `Credential`
  Returns:
    the issuer the issuer

### getIssuerQualifier

    public String getIssuerQualifier()

  Gets the issuer qualifier.

  Specified by:
    `getIssuerQualifier` in interface `Credential`
  Returns:
    the issuer qualifier

### getKeyStore

    public KeyStore getKeyStore()
                         throws TechnicalConnectorException

  Specified by:
    `getKeyStore` in interface `Credential`
  Returns:
  Throws:
    `TechnicalConnectorException`
  See Also:
    `be.ehealth.technicalconnector.service.sts.security.Credential#getKeystore()`

### getProviderName

    public String getProviderName()

  Description copied from interface: `Credential`
  Gets the keystore provider

  Specified by:
    `getProviderName` in interface `Credential`
  Returns:
  See Also:
    `Credential.getProviderName()`

### flushCache

    public void flushCache()

  Description copied from interface: `SessionServiceWithCache`
  Method to flush the cache after invoking this method.

  Specified by:
    `flushCache` in interface `SessionServiceWithCache`
  See Also:
    `SessionServiceWithCache.flushCache()`

### getCertificateChain

    public Certificate[] getCertificateChain()

  Description copied from interface: `Credential`
  Gets the certificate chain

  Specified by:
    `getCertificateChain` in interface `Credential`
  Returns:
  See Also:
    `Credential.getCertificateChain()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPODOLOGIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.